> ## Documentation Index
> Fetch the complete documentation index at: https://docs.autorize.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar URL de webhook

> Cadastra uma nova URL de webhook para a empresa dona da chave de API informada.



## OpenAPI

````yaml https://public-usuario-api.autorize.com.br/swagger/v1/swagger.json post /api/webhook-urls
openapi: 3.0.4
info:
  title: GCC Usuario Public API
  version: dev
servers:
  - url: https://public-usuario-api.autorize.com.br
    description: Produ??o
  - url: https://staging-usuario-public-api.autorize.com.br
    description: Staging
security: []
tags:
  - name: HashConsulta
  - name: SolicitacaoConsentimento
  - name: WebhookUrls
paths:
  /api/webhook-urls:
    post:
      tags:
        - WebhookUrls
      summary: Criar URL de webhook
      description: >-
        Cadastra uma nova URL de webhook para a empresa dona da chave de API
        informada.
      parameters:
        - name: Api-Key
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWebhookUrlRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/CreateWebhookUrlRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CreateWebhookUrlRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/CreateWebhookUrlResult'
            application/json:
              schema:
                $ref: '#/components/schemas/CreateWebhookUrlResult'
            text/json:
              schema:
                $ref: '#/components/schemas/CreateWebhookUrlResult'
components:
  schemas:
    CreateWebhookUrlRequest:
      required:
        - tiposEvento
        - url
      type: object
      properties:
        url:
          type: string
        tiposEvento:
          type: array
          items:
            $ref: '#/components/schemas/WebhookTipoEvento'
      additionalProperties: false
    CreateWebhookUrlResult:
      required:
        - secret
        - secretLastChars
        - tiposEvento
        - url
      type: object
      properties:
        id:
          type: string
          format: uuid
        url:
          type: string
        secret:
          type: string
          description: >-
            Secret completo — exibido uma única vez, apenas na resposta do
            create.
        secretLastChars:
          type: string
        tiposEvento:
          type: array
          items:
            $ref: '#/components/schemas/WebhookTipoEvento'
        dataInclusao:
          type: string
          format: date-time
      additionalProperties: false
    WebhookTipoEvento:
      enum:
        - HashCriado
      type: string

````